package com.ejie.ab61.model.expedientes;

import java.util.Date;

import com.ejie.ab61.model.inspecciones.Inspecciones;
import com.ejie.ab61.model.plantillas.Plantillas;
import com.ejie.ab61.model.procedimientos.Procedimientos;
import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

/**
 * RelExpPla  
 * 
 *  
 */

public class RelExpPla implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idRelExpPla;
	private Integer idPlantilla;
	private Integer idExpediente;
	private String ruta;
	private Date fechaRegistro;
	private String usuarioRegistro;
	private Integer idProcedimiento;
	private Expedientes expediente;
	private Plantillas plantilla;
	private Procedimientos procedimiento;
	private Inspecciones inspeccion;
	private String identificador;

	/**
	 * Method 'RelExpPla'.
	 */
	public RelExpPla() {
	}

	/**
	 * Method 'RelExpPla'.
	 * 
	 * @param idRelExpPla
	 *            Integer
	 */
	public RelExpPla(Integer idRelExpPla) {
		this.idRelExpPla = idRelExpPla;
	}

	/**
	 * Method 'RelExpPla'.
	 * 
	 * @param idRelExpPla
	 *            Integer
	 * @param idPlantilla
	 *            Integer
	 * @param idExpediente
	 *            Integer
	 * @param ruta
	 *            String
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 * @param idProcedimiento
	 *            Integer
	 */
	public RelExpPla(Integer idRelExpPla, Integer idPlantilla, Integer idExpediente, String ruta, Date fechaRegistro,
			String usuarioRegistro, Integer idProcedimiento) {

		this.idRelExpPla = idRelExpPla;
		this.idPlantilla = idPlantilla;
		this.idExpediente = idExpediente;
		this.ruta = ruta;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
		this.idProcedimiento = idProcedimiento;
	}

	/**
	 * Method 'RelExpPla'.
	 * 
	 * @param idRelExpPla
	 *            Integer
	 * @param expediente
	 *            Expedientes
	 * @param plantilla
	 *            Plantillas
	 * @param procedimiento
	 *            Procedimientos
	 */

	public RelExpPla(Integer idRelExpPla, String ruta, Expedientes expediente, Plantillas plantilla,
			Procedimientos procedimiento) {

		this.idRelExpPla = idRelExpPla;
		this.ruta = ruta;
		this.expediente = expediente;
		this.plantilla = plantilla;
		this.procedimiento = procedimiento;
	}

	/**
	 * Method 'getIdRelExpPla'.
	 *
	 * @return Integer
	 */

	public Integer getIdRelExpPla() {
		return this.idRelExpPla;
	}

	/**
	 * Method 'setIdRelExpPla'.
	 *
	 * @param idRelExpPla
	 *            Integer
	 * @return
	 */

	public void setIdRelExpPla(Integer idRelExpPla) {
		this.idRelExpPla = idRelExpPla;
	}

	/**
	 * Method 'getIdPlantilla'.
	 *
	 * @return Integer
	 */

	public Integer getIdPlantilla() {
		return this.idPlantilla;
	}

	/**
	 * Method 'setIdPlantilla'.
	 *
	 * @param idPlantilla
	 *            Integer
	 * @return
	 */

	public void setIdPlantilla(Integer idPlantilla) {
		this.idPlantilla = idPlantilla;
	}

	/**
	 * Method 'getIdExpediente'.
	 *
	 * @return Integer
	 */

	public Integer getIdExpediente() {
		return this.idExpediente;
	}

	/**
	 * Method 'setIdExpediente'.
	 *
	 * @param idExpediente
	 *            Integer
	 * @return
	 */

	public void setIdExpediente(Integer idExpediente) {
		this.idExpediente = idExpediente;
	}

	/**
	 * Method 'getRuta'.
	 *
	 * @return String
	 */

	public String getRuta() {
		return this.ruta;
	}

	/**
	 * Method 'setRuta'.
	 *
	 * @param ruta
	 *            String
	 * @return
	 */

	public void setRuta(String ruta) {
		this.ruta = ruta;
	}

	/**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Method 'getIdProcedimiento'.
	 *
	 * @return Integer
	 */

	public Integer getIdProcedimiento() {
		return this.idProcedimiento;
	}

	/**
	 * Method 'setIdProcedimiento'.
	 *
	 * @param idProcedimiento
	 *            Integer
	 * @return
	 */

	public void setIdProcedimiento(Integer idProcedimiento) {
		this.idProcedimiento = idProcedimiento;
	}

	/**
	 * @return the expediente
	 */
	public Expedientes getExpediente() {
		return expediente;
	}

	/**
	 * @param expediente
	 *            the expediente to set
	 */
	public void setExpediente(Expedientes expediente) {
		this.expediente = expediente;
	}

	/**
	 * @return the plantilla
	 */
	public Plantillas getPlantilla() {
		return plantilla;
	}

	/**
	 * @param plantilla
	 *            the plantilla to set
	 */
	public void setPlantilla(Plantillas plantilla) {
		this.plantilla = plantilla;
	}

	/**
	 * @return the procedimiento
	 */
	public Procedimientos getProcedimiento() {
		return procedimiento;
	}

	/**
	 * @param procedimiento
	 *            the procedimiento to set
	 */
	public void setProcedimiento(Procedimientos procedimiento) {
		this.procedimiento = procedimiento;
	}

	/**
	 * @return the inspeccion
	 */
	public Inspecciones getInspeccion() {
		return this.inspeccion;
	}

	/**
	 * @param inspeccion
	 *            the inspeccion to set
	 */
	public void setInspeccion(Inspecciones inspeccion) {
		this.inspeccion = inspeccion;
	}

	/**
	 * @return the identificador
	 */
	public String getIdentificador() {
		return identificador;
	}

	/**
	 * @param identificador
	 *            the identificador to set
	 */
	public void setIdentificador(String identificador) {
		this.identificador = identificador;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "RelExpPla [idRelExpPla=" + idRelExpPla + ", idPlantilla=" + idPlantilla + ", idExpediente="
				+ idExpediente + ", ruta=" + ruta + ", fechaRegistro=" + fechaRegistro + ", usuarioRegistro="
				+ usuarioRegistro + ", idProcedimiento=" + idProcedimiento + ", expediente=" + expediente
				+ ", plantilla=" + plantilla + ", procedimiento=" + procedimiento + "]";
	}
}
